Bug 186722 - Missing -lXp
Missing -lXp
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libXp (Show other bugs)
5
athlon Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-25 13:09 EST by Joseph Roy D. North
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-27 04:42:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Missing -lXp (2.13 KB, text/plain)
2006-03-25 13:09 EST, Joseph Roy D. North
no flags Details

  None (edit)
Description Joseph Roy D. North 2006-03-25 13:09:49 EST
Description of problem:
Missing -lXp


Version-Release number of selected component (if applicable):
gcc


How reproducible:
Don't know.


Steps to Reproduce:
1. See below.
2.
3.
  
Actual results:
Failed build in FC5.


Expected results:
Successful build in FC5 (works in FC4)!


Additional info:
  I cannot build xephem under Red Hat Linux Fedora Core 5:
M'Aider, M'Aider, s'il vous plait!
  Please examine the tail of the overall make output:
"
gcc -I../../libastro -I../../libip -I../../liblilxml -I../../libjpegd
-I../../libpng -I../../libz -g -O2 -Wall -I../../libXm/linux86
-I/usr/X11R6/include   -c -o xephem.o xephem.c
gcc -I../../libastro -I../../libip -I../../liblilxml -I../../libjpegd
-I../../libpng -I../../libz -g -O2 -Wall -I../../libXm/linux86
-I/usr/X11R6/include   -c -o xmisc.o xmisc.c
gcc -L../../libastro -L../../libip -L../../liblilxml -L../../libjpegd
-L../../libpng -L../../libz -g -L../../libXm/linux86 -L/usr/X11R6/lib
-o xephem aavso.o annotmenu.o broadcast.o calmenu.o closemenu.o
compiler.o coordsmenu.o datamenu.o db.o dbmenu.o earthmap.o
earthmenu.o fallbacks.o favmenu.o formats.o fsmenu.o gallerymenu.o
glance.o gsc.o gscnet.o helpmenu.o homeio.o hznmenu.o indimenu.o
imregmenu.o jpeg2pm.o jupmenu.o listmenu.o mainmenu.o marsmenu.o
marsmmenu.o moonmenu.o moviemenu.o msgmenu.o netmenu.o objmenu.o
obslog.o patchlevel.o plot_aux.o plotmenu.o preferences.o progress.o
ps.o query.o rotated.o satmenu.o saveres.o scope.o setiathome.o
sites.o skybinary.o skyeyep.o skyfifos.o skyfiltmenu.o skyfits.o
skyhist.o skyip.o skylist.o skytoolbar.o skyviewmenu.o solsysmenu.o
splash.o srchmenu.o sunmenu.o time.o tips.o trailmenu.o uranusmenu.o
ucac.o usno.o versionmenu.o webdbmenu.o xe2.o xe3.o xephem.o xmisc.o
../../libXm/linux86/libXm.a -lXp -lXt -lXext -lSM -lICE -lXmu -lX11
-lastro -lip -llilxml -ljpegd -lpng -lz -lm
/usr/bin/ld: cannot find -lXp
collect2: ld returned 1 exit status
make: *** [xephem] Error 1
[jos1@scorpius xephem]$
"
  I can still build xephem under Fedora Core 4 on another PC, so I looked for
the library, Xp, mentioned above, but could not find it in both systems, as
the GNU linker could not in Fedora Core 5, I guess!
  So, how might I find library Xp in both versions, please?!
  Maybe something like this could help:

          "# find / -name Xp",

which did not when I tried it.
  Tempus fugit et ad augusta per angusta.


                 Nil desparare (Gauss),

                 Joseph Roy D. North
                 Le        Roi  Du Nord
                 3220 Duval Road, Apt. 1110
                 Austin, TX 78759-3524, USA


Scientia est Potentia!

It is no good when good men do no good!
Comment 1 Joseph Roy D. North 2006-03-25 13:09:49 EST
Created attachment 126737 [details]
Missing -lXp
Comment 2 Jakub Jelinek 2006-03-27 04:42:02 EST
This has nothing to do with gcc.
You simply forgot to install all the needed libraries.
yum provides /usr/lib/libXp.so
will tell you that you need
libXp-devel package for the libXp development and
yum provides libXp.so.6
that you need libXp for the libraries.
So you just need to
yum install libXp libXp-devel
and you are all set.

Note You need to log in before you can comment on or make changes to this bug.